summaryrefslogtreecommitdiffstats
path: root/iptables/tests/shell/testcases/chain/0001duplicate_1
diff options
context:
space:
mode:
Diffstat (limited to 'iptables/tests/shell/testcases/chain/0001duplicate_1')
-rwxr-xr-xiptables/tests/shell/testcases/chain/0001duplicate_17
1 files changed, 5 insertions, 2 deletions
diff --git a/iptables/tests/shell/testcases/chain/0001duplicate_1 b/iptables/tests/shell/testcases/chain/0001duplicate_1
index e88f82ad..80ebb119 100755
--- a/iptables/tests/shell/testcases/chain/0001duplicate_1
+++ b/iptables/tests/shell/testcases/chain/0001duplicate_1
@@ -2,8 +2,11 @@
set -x
-$IPTABLES -t filter -N c1
-$IPTABLES -t filter -N c1 || exit 1
+$XT_MULTI iptables -t filter -N c1 || exit 0
+$XT_MULTI iptables -t filter -N c1 || exit 1
+
+$XT_MULTI ip6tables -t filter -N c1 || exit 0
+$XT_MULTI ip6tables -t filter -N c1 || exit 1
echo "E: Duplicate chains" >&2
exit 0